# List all OutboundTransfer objects Returns a list of OutboundTransfers that match the provided filters. ## Parameters - `created` (timestamp, optional) Filter for objects created at the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `created_gt` (timestamp, optional) Filter for objects created after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `created_gte` (timestamp, optional) Filter for objects created on or after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `created_lt` (timestamp, optional) Filter for objects created before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `created_lte` (timestamp, optional) Filter for objects created on or before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z. - `limit` (integer, optional) The maximum number of results to return. - `page` (string, optional) The page token to use to retrieve the page being requested. - `status` (array of enums, optional) Closed Enum. Only return OutboundTransfers with this status. Possible enum values: - `canceled` A user canceled the OutboundTransfer before posting. Stripe returns the funds to the user by voiding the pending Transaction. - `failed` The OutboundTransfer failed to confirm. Stripe returns the funds to the user by voiding the pending Transaction. - `posted` The OutboundTransfer posted and funds have left the account. The underlying Transaction posts. - `processing` The OutboundTransfer starting state. Funds are “held” by a pending Transaction (but are still part of the current balance). The OutboundTransfer might be cancelable by the user, depending on the value of the cancelable field. - `returned` The OutboundTransfer failed to successfully arrive at the destination. Funds return to the user with a second posted Transaction attached to the same flow. ## Returns ## Response attributes - `data` (array of objects) The OutboundTransfers retrieved. - `data.id` (string) Unique identifier for the OutboundTransfer. - `data.object` (string, value is "v2.money_management.outbound_transfer") String representing the object’s type. Objects of the same type share the same value of the object field. - `data.amount` (object) The “presentment amount” for the OutboundTransfer. - `data.amount.currency` (string) A lowercase alpha3 currency code like “usd”. - `data.amount.value` (integer) In minor units like 123 for 1.23 USD. - `data.cancelable` (boolean) Returns true if the OutboundTransfer can be canceled, and false otherwise. - `data.created` (timestamp) Time at which the OutboundTransfer was created. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `data.delivery_options` (object, nullable) Delivery options to be used to send the OutboundTransfer. - `data.delivery_options.bank_account` (enum, nullable) Method for bank account. Possible enum values: - `automatic` Method automatically selected by Stripe. - `local` The group of local bank-transfer networks in the bank account’s country. - `wire` The group of wire transfer networks in the bank account’s country. - `data.description` (string, nullable) An arbitrary string attached to the OutboundTransfer. Often useful for displaying to users. - `data.expected_arrival_date` (timestamp, nullable) The date when funds are expected to arrive in the payout method. This field is not set if the payout method is in a `failed`, `canceled`, or `returned` state. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `data.from` (object) The FinancialAccount that funds were pulled from. - `data.from.debited` (object) The monetary amount debited from the sender, only set on responses. - `data.from.debited.currency` (string) A lowercase alpha3 currency code like “usd”. - `data.from.debited.value` (integer) In minor units like 123 for 1.23 USD. - `data.from.financial_account` (string) The FinancialAccount that funds were pulled from. - `data.livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `data.metadata` (map, nullable) Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. - `data.receipt_url` (string, nullable) A link to the Stripe-hosted receipt for this OutboundTransfer. The receipt link remains active for 60 days from the OutboundTransfer creation date. After this period, the link will expire and the receipt url value will be null. - `data.statement_descriptor` (string) The description that appears on the receiving end for an OutboundTransfer (for example, bank statement for external bank transfer). - `data.status` (enum) Current status of the OutboundTransfer: `processing`, `failed`, `posted`, `returned`, `canceled`. An OutboundTransfer is `processing` if it has been created and is processing. The status changes to `posted` once the OutboundTransfer has been “confirmed” and funds have left the account, or to `failed` or `canceled`. If an OutboundTransfer fails to arrive at its payout method, its status will change to `returned`. Possible enum values: - `canceled` A user canceled the OutboundTransfer before posting. Stripe returns the funds to the user by voiding the pending Transaction. - `failed` The OutboundTransfer failed to confirm. Stripe returns the funds to the user by voiding the pending Transaction. - `posted` The OutboundTransfer posted and funds have left the account. The underlying Transaction posts. - `processing` The OutboundTransfer starting state. Funds are “held” by a pending Transaction (but are still part of the current balance). The OutboundTransfer might be cancelable by the user, depending on the value of the cancelable field. - `returned` The OutboundTransfer failed to successfully arrive at the destination. Funds return to the user with a second posted Transaction attached to the same flow. - `data.status_details` (object, nullable) Status details for an OutboundTransfer in a `failed` or `returned` state. - `data.status_details.failed` (object, nullable) The `failed` status reason. - `data.status_details.failed.reason` (enum) The `failed` status reason. Possible enum values: - `payout_method_declined` The outbound flow to this payout method was declined. - `payout_method_does_not_exist` Payout method used for this outbound flow does not exist. - `payout_method_expired` Payout method used for this outbound flow expired. - `payout_method_unsupported` Payout method used for this outbound flow is unsupported. - `payout_method_usage_frequency_limit_exceeded` The usage frequency limit for this payout method was exceeded. - `unknown_failure` Unknown failure. - `data.status_details.returned` (object, nullable) The `returned` status reason. - `data.status_details.returned.reason` (enum) The `returned` status reason. Possible enum values: - `payout_method_canceled_by_customer` The outbound flow to this payout method was canceled by customer. - `payout_method_closed` Payout method account used for this outbound flow is closed. - `payout_method_currency_unsupported` Currency is not supported by the payout method account. - `payout_method_does_not_exist` Payout method account used for this outbound flow does not exist. - `payout_method_holder_address_incorrect` Address on the payout method account is incorrect. - `payout_method_holder_details_incorrect` The payout method account holder’s details are incorrect. - `payout_method_holder_name_incorrect` Name on the payout method account is incorrect. - `payout_method_invalid_account_number` The outbound flow to this payout method has an invalid account number. - `payout_method_restricted` Payout method account used for this outbound flow is restricted. - `recalled` The outbound flow to this payout method was recalled. - `unknown_failure` Unknown failure. - `data.status_transitions` (object, nullable) Hash containing timestamps of when the object transitioned to a particular status. - `data.status_transitions.canceled_at` (timestamp, nullable) Timestamp describing when an OutboundTransfer changed status to `canceled`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `data.status_transitions.failed_at` (timestamp, nullable) Timestamp describing when an OutboundTransfer changed status to `failed`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `data.status_transitions.posted_at` (timestamp, nullable) Timestamp describing when an OutboundTransfer changed status to `posted`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `data.status_transitions.returned_at` (timestamp, nullable) Timestamp describing when an OutboundTransfer changed status to `returned`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z. - `data.to` (object) To which payout method the OutboundTransfer was sent. - `data.to.credited` (object) The monetary amount being credited to the destination. - `data.to.credited.currency` (string) A lowercase alpha3 currency code like “usd”. - `data.to.credited.value` (integer) In minor units like 123 for 1.23 USD. - `data.to.payout_method` (string) The payout method which the OutboundTransfer uses to send payout. - `data.trace_id` (object) A unique identifier that can be used to track this OutboundTransfer with recipient bank. Banks might call this a “reference number” or something similar. - `data.trace_id.status` (enum) Possible values are `pending`, `supported`, and `unsupported`. Initially set to `pending`, it changes to `supported` when the recipient bank provides a trace ID, or `unsupported` if the recipient bank doesn’t support it. Note that this status may not align with the OutboundPayment or OutboundTransfer status and can remain `pending` even after the payment or transfer is posted. Possible enum values: - `pending` Pending to receive TraceId information from recipient bank. - `supported` TraceId is supported by the recipient bank. - `unsupported` TraceId is not supported by the recipient bank. - `data.trace_id.value` (string, nullable) The trace ID value if `trace_id.status` is `supported`, otherwise empty. - `next_page_url` (string, nullable) The URL for the next page of results. - `previous_page_url` (string, nullable) The URL for the previous page of results. ## Error Codes | HTTP status code | Code | Description | | ---------------- | ------------------------------------ | --------------------------------------------------------------------------------------------- | | 400 | outbound_transfer_invalid_page_token | Error returned when the page token provided in the OutboundTransfers list request is invalid. | ```curl curl -G https://api.stripe.com/v2/money_management/outbound_transfers \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2025-04-30.preview" \ -d status=processing ``` ### Response ```json { "data": [ { "id": "obt_test_65OAfZuGepEX92sRECO16NybHIZ4SQ3LORe4rpuNGDIDb6", "object": "v2.money_management.outbound_transfer", "from": { "financial_account": "fa_test_65NybHaQx7KJxDc22rZ16NybHIZ4SQ3LORe4rpuNGDIXEO", "debited": { "value": 50, "currency": "usd" } }, "to": { "payout_method": "usba_test_61NyccB7UY8KzlWh916NybHIZ4SQ3LORe4rpuNGDIRWC", "credited": { "value": 50, "currency": "usd" } }, "delivery_options": { "bank_account": "automatic" }, "amount": { "value": 50, "currency": "usd" }, "statement_descriptor": "Stripe payout", "cancelable": true, "description": "Paying out Stripe earnings", "status": "processing", "status_transitions": { "canceled_at": null, "failed_at": null, "posted_at": null, "returned_at": null }, "status_details": null, "created": "2023-04-26T23:19:35.123Z", "expected_arrival_date": "2023-04-28T00:00:00Z", "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMaIwohd2tzcF90ZXN0XzZOeWJISVo0U1EzTE9SZTRycHVOR0RJKLnjpqIGMgZNKstJGOg6SJSQrFGi6Bb85dAepu7uG2MVwM9VElVM0ekthEzf2MRmX19dnfFuZpKcVeukNldg5CAYFdFCUWWc_AHfQyYgL7fSAUONrbxPhg", "trace_id": { "status": "pending", "value": "" } }, { "id": "obt_test_65OAfYe4XKyMwZeHlcV16NybHIZ4SQ3LORe4rpuNGDIRZw", "object": "v2.money_management.outbound_transfer", "from": { "financial_account": "fa_test_65NybHaQx7KJxDc22rZ16NybHIZ4SQ3LORe4rpuNGDIXEO", "debited": { "value": 80, "currency": "usd" } }, "to": { "payout_method": "usba_test_61NyccB7UY8KzlWh916NybHIZ4SQ3LORe4rpuNGDIRWC", "credited": { "value": 80, "currency": "usd" } }, "delivery_options": { "bank_account": "automatic" }, "amount": { "value": 80, "currency": "usd" }, "statement_descriptor": "Stripe payout", "cancelable": false, "description": "Paying out Stripe earnings", "status": "canceled", "status_transitions": { "canceled_at": "2023-04-26T23:18:28.412Z", "failed_at": null, "posted_at": null, "returned_at": null }, "status_details": null, "created": "2023-04-26T23:18:16.777Z", "expected_arrival_date": "2023-04-28T00:00:00Z", "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMaIwohd2tzcF90ZXN0XzZOeWJISVo0U1EzTE9SZTRycHVOR0RJKLnjpqIGMgZ4ixuDAAY6SJQGxQoU7gIawmH6g8uvKmtgds_fctxW9OclrMHT0XrtLo5HV8bCBdjfFxZ9UIQqiEvXN78CMyXlPu5gyap_a3jtVVdFeid7vw", "trace_id": { "status": "pending", "value": "" } } ], "next_page_url": null, "previous_page_url": null } ```